<?php
App::uses('EvShippingAppModel', 'EvShipping.Model');
/**
 * ShippingRuleData Model
 *
 * @property ShippingRule $ShippingRule
 */
class ShippingRuleData extends EvShippingAppModel {

	/**
	 * Display field
	 *
	 * @var string
	 */
	public $displayField = 'name';

	/**
	 * Validation rules
	 *
	 * @var array
	 */
	public $validate = array(
		'shipping_rule_id' => array(
			'numeric' => array(
				'rule' => array('numeric')
			),
		),
		'name' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				'message' => 'A name for the data must be entered'
			),
		),
	);

	//The Associations below have been created with all possible keys, those that are not needed can be removed

	/**
	 * belongsTo associations
	 *
	 * @var array
	 */
	public $belongsTo = array(
		'ShippingRule' => array(
			'className' => 'EvShipping.ShippingRule'
		)
	);
}
